ObjectData = 
{
	MotionModel = 
	{
		DefaultAnimation = [[default]],
		Motions = 
		{
			motion1 = 
			{
				Animations = 
				{
					anim1 = 
					{
						Path = [[DATA:Animations\GUI\control menu\ctrl_menu_gears.anim]],
						Name = [[ctrl_menu_gears]],
						MinFreq = 1.000000,
						MaxFreq = 1.000000,
					},
				},
				Name = [[default]],
			},
		},
	},
	Extensions = 
	{
		PhysicsExtension = 
		{
		},
	},
}

-- Begin Scripting --

function OnInit()	

	this:EnablePhysics( false )	

end

function Update()

	-- Stop anim when paused
	if World_IsPaused() then
		  local this_anim = this:GetMotionModel():GetCurrentMotion():GetCurrentAnim()
		  if( (frame_index == nil) or (not World_AnimationsEqual(last_anim, this_anim)) ) then -- if frame_index is nil or if last_anim is not this_anim
				frame_index = this_anim:GetCurrentFrameIndex()
				last_anim = this_anim
		  else
				this_anim:SetCurrentFrameIndex( frame_index )
		  end
	else
		frame_index = nil
		last_anim = nil
	end
	
end

